Glib::Markup::AttributeKeyLess Class Reference
Simple XML Subset Parser

Binary predicate used by Markup::Parser::AttributeMap. More...

`#include <glibmm/markup.h>`

## Public Types

typedef Glib::ustring | first_argument_type
typedef Glib::ustring | second_argument_type
typedef bool | result_type

## Public Member Functions

bool | operator() (const Glib::ustring& lhs, const Glib::ustring& rhs) const

## Detailed Description

Binary predicate used by Markup::Parser::AttributeMap.

Unlike `operator<(const ustring& lhs, const ustring& rhs)` which would be used by the default `std::less<>` predicate, the AttributeKeyLess predicate is locale-independent. This is both more correct and much more efficient.

## Member Typedef Documentation

typedef Glib::ustring Glib::Markup::AttributeKeyLess::first_argument_type

typedef bool Glib::Markup::AttributeKeyLess::result_type

typedef Glib::ustring Glib::Markup::AttributeKeyLess::second_argument_type

## Member Function Documentation

bool Glib::Markup::AttributeKeyLess::operator() | ( | const Glib::ustring& | lhs,
|  | const Glib::ustring& | rhs
| ) |  | const